diff options
| author | Seyeong Kim <seyeong.kim@canonical.com> | 2020-04-20 15:40:44 -0700 |
|---|---|---|
| committer | Dan Streetman <ddstreet@canonical.com> | 2020-05-06 06:55:49 -0400 |
| commit | 67b410ae364d0d54779c0c674c6cd51d08d1f4ce (patch) | |
| tree | 8f66366e16a55e84821853695643367acd2d636d /debian | |
| parent | 22ebc7eaf216a7da96938b659c097697987a6504 (diff) | |
Import patches-unapplied version 1.22.10-1ubuntu2 to ubuntu/focal-proposed
Imported using git-ubuntu import.
Changelog parent: 251005dec19cfe8337b887edf04e7134632e1872
New changelog entries:
* d/t/killswitches-no-urfkill
- Call udevadm settle before nmcli radio wifi
To make sure that change is updated. (LP: #1733321)
Diffstat (limited to 'debian')
| -rw-r--r-- | debian/changelog | 8 | ||||
| -rwxr-xr-x | debian/tests/killswitches-no-urfkill | 11 |
2 files changed, 18 insertions, 1 deletions
diff --git a/debian/changelog b/debian/changelog index b0bcd67d..783b2846 100644 --- a/debian/changelog +++ b/debian/changelog @@ -1,3 +1,11 @@ +network-manager (1.22.10-1ubuntu2) focal; urgency=medium + + * d/t/killswitches-no-urfkill + - Call udevadm settle before nmcli radio wifi + To make sure that change is updated. (LP: #1733321) + + -- Seyeong Kim <seyeong.kim@canonical.com> Mon, 20 Apr 2020 22:40:44 -0700 + network-manager (1.22.10-1ubuntu1) focal; urgency=medium * Update to the current stable version, merging from Debian diff --git a/debian/tests/killswitches-no-urfkill b/debian/tests/killswitches-no-urfkill index d6ef3a38..f7adc67c 100755 --- a/debian/tests/killswitches-no-urfkill +++ b/debian/tests/killswitches-no-urfkill @@ -31,13 +31,18 @@ if ! rfkill list $fake_id | grep 'Soft' | awk '{ print $3; }' | grep -qc yes; th exit 1 fi +# The systemd-rfkill service starts up whenever rfkill changes state, so on a +# 1-cpu system that might delay the event change from reaching nm before the +# check below, causing this test to fail. The settle added here delays the +# nmcli check until after the rfkill uevent has definitely been processed. +udevadm settle + if ! LC_MESSAGES=C nmcli radio wifi | grep -qc disabled; then echo "ERROR: NM could not track device state." rmmod fake-rfkill || true exit 1 fi - # test unblocking the device rfkill unblock $fake_id if ! rfkill list $fake_id | grep 'Soft' | awk '{ print $3; }' | grep -qc no; then @@ -46,6 +51,10 @@ if ! rfkill list $fake_id | grep 'Soft' | awk '{ print $3; }' | grep -qc no; the exit 1 fi +# same reason as above, however since systemd-rfkill stays running for 30 secs or so +# it's unlikely that it would start up again here, but it's still safer to call settle +udevadm settle + if ! LC_MESSAGES=C nmcli radio wifi | grep -qc enabled; then echo "ERROR: NM could not track device state to enabled." rmmod fake-rfkill || true |